package pl.helion.j2mepp.zdalnakamera.dodatkowe;

import javax.microedition.lcdui.Image;
import pl.helion.j2mepp.zdalnakamera.ObrazForm;
import pl.helion.j2mepp.zdalnakamera.komunikacja.MenedzerObrazow;


public class NadawcaObrazTask extends ObrazTask {

    public NadawcaObrazTask(MenedzerObrazow m) {
        super(m);
    }

    public void run() {
        ObrazForm formatka = this.getWlasciciel();
        byte[] dane = formatka.getZdjecie();
        Image obraz = Image.createImage(dane, 0, dane.length);
        formatka.pokazObraz(obraz);
        this.getMenedzer().wyslijZdjecie(dane);
    }
}
